%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.7-0
%define fname aspell6-%{languagecode}
%define aspell_ver 0.60
%define languageenglazy Finnish
%define languagecode fi
%define lc_ctype fi_FI

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.60.0
Release:       %mkrel 20
Group:         System/Internationalization
Source:        http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%{fname}-%{src_ver}.tar.bz2
URL:		   http://aspell.sourceforge.net/
License:	   GPL
BuildRequires: aspell >= %{aspell_ver}
BuildRequires: make
Requires:      aspell >= %{aspell_ver}

# Mageia Stuff
Requires:      locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}
Provides:      spell-%{languagecode}

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{fname}-%{src_ver}

%build

# don't use configure macro
./configure

%make

%install
%make_install

mv -f README README.%{languagecode}
chmod 644 Copyright README.%{languagecode} 

%files
%doc README.%{languagecode} Copyright doc/*
%{_libdir}/aspell-%{aspell_ver}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-20.mga8
+ Revision: 1510068
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.60.0-19.mga7
+ Revision: 1294781
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-18.mga6
+ Revision: 945831
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-17.mga5
+ Revision: 747455
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-16.mga5
+ Revision: 677939
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-15.mga4
+ Revision: 502633
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.60.0-14.mga3
+ Revision: 346242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 04 2012 kamil <kamil> 0.60.0-13.mga2
+ Revision: 204398
- drop providing of enchant-dictionary
- clean .spec a bit
+ dmorgan <dmorgan>
- Remove mandriva occurencies
+ ahmad <ahmad>
- imported package aspell-fi


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 0.60.0-12mdv2011.0
+ Revision: 603207
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.60.0-11mdv2010.1
+ Revision: 518921
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.60.0-10mdv2010.0
+ Revision: 413064
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.60.0-9mdv2009.1
+ Revision: 350022
- 2009.1 rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.60.0-8mdv2009.0
+ Revision: 267914
+ rebuild (emptylog)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.60.0-7mdv2009.0
+ Revision: 220376
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 0.60.0-6mdv2008.1
+ Revision: 182422
- provide enchant-dictionary

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.60.0-5mdv2008.1
+ Revision: 178857
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.60.0-3mdv2007.0
+ Revision: 123251
- Import aspell-fi

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.60.0-3mdv2007.1
- use the mkrel macro
- disable debug packages

* Mon Feb 13 2006 Pablo Saratxaga <pablo@mandrakesoft.com> 0.60.0-3mdk
- cleaning rpm and standardizing with other aspell-* ones
- including doc files in package

* Thu Feb 02 2006 Stefan van der Eijk <stefan@eijk.nu> 0.60.0-1mdk
- drop BuildRequires ispell: it's a contrib package + doesn't seem
  to be needed to build the package
- %%mkrel

* Mon Nov 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.60.0-1mdk
- new release (real aspell dict, not old ispell one being recycled)
  (thus saving 20Mb on the CDs)
- build for new aspell

* Tue Jul 20 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.0-1mdk
- first version for aspell (wordlist taken from ispell Finnish dictionnary;
  none of the aspell niceties is used for now)

